#ifndef PMIMAGE_H
#define PMIMAGE_H

#include <qobject.h>
#include <qdir.h>
#include <qstringlist.h>

#include "constants.h"

class PMiroir;

class PMImage : public QObject {
  Q_OBJECT

 public:
  PMImage(PMiroir*, const QString &);
  ~PMImage(void);

  bool loadImage(unsigned short int*);
  bool loadPrevImage(unsigned short int*);
  bool loadNextImage(unsigned short int*);
  bool loadImage(unsigned short int*, int);

  void setupDir(const QString &);

  static const QString ol_fn_tail;

 private:
  QString _dir;
  QStringList _files;
  int _index;
  unsigned short int *_buf;

  inline int get_index(int x, int y) {
    return (y * Width) + x;
  }
  unsigned short int pack_color(const QColor &);

 signals:
  void fileLoaded(QString);
  void fileClosed(QString);

};

#endif // PMIMAGE_H
